EDIT - bug #9415

DNA and other Derivatives missing in DerivedUnitDTO
01/22/2021 10:00 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.19

Severity: normal Found in Version:

Description

example:

http://int.e-taxonomy.eu/cdmserver/integration_reference/portal/occurrence/8259122¢c-7140-44{3-980e-1a6506ce8f50/asDTO.json

->

"hasDna": false,

Related issues:
Related to EDIT - bug #9395: DerivedUnit.collectFieldUnits() and findFieldUni... Closed
Related to EDIT - task #9276: improve DerivateDataDTO New

Associated revisions

Revision 1d8a4f7e - 01/25/2021 07:12 PM - Andreas Kohlbecker

ref #9389 ref #9415 improving information assembly in derivation bouquet by recursion, fixing multiple problems

Revision f6740b16 - 01/25/2021 07:49 PM - Andreas Kohlbecker

ref #9389 ref #9415 improving information assembly in derivation bouquet by recursion - adapting test

History

#1 - 01/22/2021 10:13 AM - Andreas Kohlbecker
- Subject changed from DNA missing in DerivedUnitDTO to DNA and other Derivatives missing in DerivedUnitDTO

#2 - 01/22/2021 10:57 AM - Andreas Kohlbecker

- Related to bug #9395: DerivedUnit.collectFieldUnits() and findFieldUnitDTOByAssociatedTaxon() and findByAccessionNumber() in
OccurrenceService to return all root units added

#3 - 01/22/2021 10:57 AM - Andreas Kohlbecker
- Related to task #9276: improve DerivateDataDTO added

#4 - 01/25/2021 07:12 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 100

#5 - 01/25/2021 07:15 PM - Andreas Kohlbecker

- Status changed from Resolved to Closed
